Package org.eclipse.cdt.utils.macho

# Class MachO64.DyLibTableOfContents

java.lang.Object
org.eclipse.cdt.utils.macho.MachO64.DyLibTableOfContents

Enclosing class:
  `MachO64`

public class MachO64.DyLibTableOfContents extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`INDIRECT_SYMBOL_ABS`
`static final int`
`INDIRECT_SYMBOL_LOCAL`
`int`
`module_index`
`int`
`symbol_index`

## Constructor Summary

Constructors
Constructor
Description
`DyLibTableOfContents()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INDIRECT_SYMBOL_LOCAL

public static final int INDIRECT_SYMBOL_LOCAL

See Also:
  - Constant Field Values

### INDIRECT_SYMBOL_ABS

public static final int INDIRECT_SYMBOL_ABS

See Also:
  - Constant Field Values

### symbol_index

public int symbol_index

### module_index

public int module_index

## Constructor Details

### DyLibTableOfContents

public DyLibTableOfContents()